diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/channeleditor.cpp kaffeine-0.8.4/kaffeine/src/input/dvb/channeleditor.cpp
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/channeleditor.cpp	2007-04-13 16:54:37.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/channeleditor.cpp	2007-04-13 22:17:42.534538059 +0200
@@ -53,7 +53,6 @@
 	if ( channel->tp.type==FE_QAM ) initC();
 	else if ( channel->tp.type==FE_OFDM ) initT();
 	else if ( channel->tp.type==FE_QPSK ) initS();
-	else initA();
 
 	if ( mode ) {
 		ftaCb->setEnabled( false );
@@ -166,8 +165,6 @@
 		switch (modulationComb->currentItem()) {
 		case 0: channel->tp.modulation = QAM_64; break;
 		case 1: channel->tp.modulation = QAM_256; break;
-		case 2: channel->tp.modulation = VSB_8; break;
-		case 3: channel->tp.modulation = VSB_16; break;
 		default: channel->tp.modulation = QAM_AUTO; break;
 		}
 	}
@@ -234,29 +231,6 @@
 	polGroup->setEnabled( false );
 }
 
-void ChannelEditor::initA()
-{
-	freqSpin->setValue( channel->tp.freq );
-	inversionComb->insertStringList( inversionList() );
-	inversionComb->setCurrentItem( INVERSION_OFF+channel->tp.inversion );
-	modulationComb->insertStringList( modulationListAtsc() );
-	switch (channel->tp.modulation) {
-	case QAM_64: modulationComb->setCurrentItem(0); break;
-	case QAM_256: modulationComb->setCurrentItem(1); break;
-	case VSB_8: modulationComb->setCurrentItem(2); break;
-	case VSB_16: modulationComb->setCurrentItem(3); break;
-	default: modulationComb->setCurrentItem(4); break;
-	}
-	srSpin->setEnabled( false );
-	polGroup->setEnabled( false );
-	transmissionComb->setEnabled( false );
-	coderateHComb->setEnabled( false );
-	coderateLComb->setEnabled( false );
-	bandwidthComb->setEnabled( false );
-	hierarchyComb->setEnabled( false );
-	guardComb->setEnabled( false );
-}
-
 QStringList ChannelEditor::inversionList()
 {
 	QStringList list;
@@ -281,14 +255,6 @@
 	return list;
 }
 
-QStringList ChannelEditor::modulationListAtsc()
-{
-	QStringList list;
-
-	list<<"QAM 64"<<"QAM 256"<<"VSB 8"<<"VSB 16"<<"AUTO";
-	return list;
-}
-
 QStringList ChannelEditor::transmissionList()
 {
 	QStringList list;
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/channeleditor.h kaffeine-0.8.4/kaffeine/src/input/dvb/channeleditor.h
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/channeleditor.h	2007-04-13 16:54:37.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/channeleditor.h	2007-04-13 22:17:42.534538059 +0200
@@ -49,11 +49,9 @@
 	void initS();
 	void initC();
 	void initT();
-	void initA();
 	QStringList inversionList();
 	QStringList coderateList();
 	QStringList modulationList();
-	QStringList modulationListAtsc();
 	QStringList transmissionList();
 	QStringList bandwidthList();
 	QStringList hierarchyList();
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/dvbconfig.cpp kaffeine-0.8.4/kaffeine/src/input/dvb/dvbconfig.cpp
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/dvbconfig.cpp	2007-04-13 16:54:37.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/dvbconfig.cpp	2007-04-13 22:17:42.538538309 +0200
@@ -236,7 +236,6 @@
 	//devList.append( new Device( 0, 1, FE_QPSK, "Dummy S", false ) );
 	//devList.append( new Device( 1, 1, FE_OFDM, "Dummy T", false ) );
 	//devList.append( new Device( 2, 0, FE_QAM, "Dummy C", false ) );
-	//devList.append( new Device( 3, 0, FE_ATSC, "Dummy A", false ) );
 }
 
 
@@ -567,7 +566,6 @@
 			case FE_QAM : dvbType->setText( i18n("Cable") ); break;
 			case FE_OFDM : dvbType->setText( i18n("Terrestrial") ); break;
 			case FE_QPSK : dvbType->setText( i18n("Satellite") ); break;
-			case FE_ATSC : dvbType->setText( i18n("Atsc") ); break;
 			default : dvbType->setText( i18n("Unknown") );
 		}
 		grid->addMultiCellWidget( dvbType, gridLine, gridLine, 1, 3 );
@@ -1124,11 +1122,6 @@
 			s+="|"+sat0[i]->currentText();
 			break;
 			}
-		case FE_ATSC: {
-			s = "A";
-			s+="|"+sat0[i]->currentText();
-			break;
-			}
 		}
 		dvbConfig->devList.at(i)->source = s;
 		dvbConfig->devList.at(i)->tuningTimeout = timeoutSpin.at(i)->value();
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/dvbpanel.cpp kaffeine-0.8.4/kaffeine/src/input/dvb/dvbpanel.cpp
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/dvbpanel.cpp	2007-04-13 16:54:37.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/dvbpanel.cpp	2007-04-13 22:17:42.538538309 +0200
@@ -2146,10 +2146,6 @@
 				c.remove( 0, 1 );
 				chan->tp.source = c;
 			}
-			else {
-				chan->tp.type=FE_ATSC;
-				chan->tp.source = "Atsc";
-			}
 			s = s.right( s.length()-pos-1 );
 			pos = s.find("|");
 			chan->tp.freq = s.left(pos).toULong();
@@ -2190,8 +2186,6 @@
 				case 64 : chan->tp.modulation = QAM_64; break;
 				case 128 : chan->tp.modulation = QAM_128; break;
 				case 256 : chan->tp.modulation = QAM_256; break;
-				case 108 : chan->tp.modulation = VSB_8; break;
-				case 116 : chan->tp.modulation = VSB_16; break;
 				case -1 : chan->tp.modulation = QAM_AUTO;
 			}
 			s = s.right( s.length()-pos-1 );
@@ -2362,7 +2356,6 @@
 				case FE_QPSK : tt<< "S"; tt<< chan->tp.source; break;
 				case FE_QAM : tt<< "Cable"; break;
 				case FE_OFDM : tt<< "Terrestrial"; break;
-				case FE_ATSC : tt<< "Atsc"; break;
 			}
 			tt<< "|";
 			tt<< s.setNum(chan->tp.freq)+"|";
@@ -2395,8 +2388,6 @@
 				case QAM_64 : tt<< "64|"; break;
 				case QAM_128 : tt<< "128|"; break;
 				case QAM_256 : tt<< "256|"; break;
-				case VSB_8 : tt<< "108|"; break;
-				case VSB_16 : tt<< "116|"; break;
 				case QAM_AUTO : tt<< "-1|";
 			}
 			switch ( chan->tp.coderateL ) {
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/dvbstream.cpp kaffeine-0.8.4/kaffeine/src/input/dvb/dvbstream.cpp
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/dvbstream.cpp	2007-04-13 16:54:38.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/dvbstream.cpp	2007-04-13 22:20:45.417967559 +0200
@@ -108,8 +108,6 @@
 			return QStringList( "Terrestrial" );
 		if ( dvbDevice->type==FE_QAM )
 			return QStringList( "Cable" );
-		if ( dvbDevice->type==FE_ATSC )
-			return QStringList( "Atsc" );
 	}
 	QStringList source;
 	int i;
@@ -387,13 +385,6 @@
 			}
 			break;
 		}
-		case FE_ATSC : {
-			fprintf(stderr,"tuning ATSC to %lu\n", freq);
-			feparams.frequency=freq;
-			feparams.u.vsb.modulation = chan->tp.modulation;
-			fprintf(stderr,"inv:%d mod:%d\n", chan->tp.inversion, chan->tp.modulation );
-			break;
-		}
 	}
 	if ( chan->tp.inversion==INVERSION_AUTO ) {
 		if ( fe_info.caps & FE_CAN_INVERSION_AUTO )
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.c kaffeine-0.8.4/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.c
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.c	2007-04-13 16:54:36.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.c	2007-04-13 22:17:42.550539059 +0200
@@ -81,16 +81,6 @@
 	{ -1, -1 }
 };
 
-static int dvbfe_atsc_mod_to_kapi[][2] =
-{
-	{ DVBFE_ATSC_MOD_QAM_64, QAM_64 },
-	{ DVBFE_ATSC_MOD_QAM_256, QAM_256 },
-	{ DVBFE_ATSC_MOD_VSB_8, VSB_8 },
-	{ DVBFE_ATSC_MOD_VSB_16, VSB_16 },
-	{ DVBFE_ATSC_MOD_AUTO, QAM_AUTO },
-	{ -1, -1 }
-};
-
 static int dvbfe_dvbt_transmit_mode_to_kapi[][2] =
 {
 	{ DVBFE_DVBT_TRANSMISSION_MODE_2K, TRANSMISSION_MODE_2K },
@@ -203,10 +193,6 @@
 	case FE_OFDM:
 		fehandle->type = DVBFE_TYPE_DVBT;
 		break;
-
-	case FE_ATSC:
-		fehandle->type = DVBFE_TYPE_ATSC;
-		break;
 	}
 	fehandle->name = strndup(info.name, sizeof(info.name));
 
@@ -298,11 +284,6 @@
 				result->feparams.u.dvbt.hierarchy_information =
 					lookupval(kparams.u.ofdm.hierarchy_information, 1, dvbfe_dvbt_hierarchy_to_kapi);
 				break;
-
-			case FE_ATSC:
-				result->feparams.u.atsc.modulation =
-					lookupval(kparams.u.vsb.modulation, 1, dvbfe_atsc_mod_to_kapi);
-				break;
 			}
 		}
 
@@ -373,10 +354,6 @@
 			lookupval(params->u.dvbt.hierarchy_information, 0, dvbfe_dvbt_hierarchy_to_kapi);
                 break;
 
-	case FE_ATSC:
-		kparams.u.vsb.modulation = lookupval(params->u.atsc.modulation, 0, dvbfe_atsc_mod_to_kapi);
-		break;
-
 	default:
 		return -EINVAL;
 	}
@@ -716,8 +693,6 @@
 				if (sscanf(command+i+13, "%i", tmpcmd) != 1)
 					return -EINVAL;
 
-				if ((status = ioctl(fehandle->fd, FE_DISHNETWORK_SEND_LEGACY_CMD, tmpcmd)) != 0)
-					return status;
 			}
 
 			/* skip to the end... */
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.h kaffeine-0.8.4/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.h
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.h	2007-04-13 16:54:36.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/lib/libdvbapi/dvbfe.h	2007-04-13 22:17:42.550539059 +0200
@@ -36,7 +36,6 @@
 	DVBFE_TYPE_DVBS,
 	DVBFE_TYPE_DVBC,
 	DVBFE_TYPE_DVBT,
-	DVBFE_TYPE_ATSC,
 } dvbfe_type_t;
 
 typedef enum dvbfe_polarization {
@@ -84,14 +83,6 @@
 	DVBFE_DVBC_MOD_AUTO,
 } dvbfe_dvbc_mod_t;
 
-typedef enum dvbfe_atsc_mod {
-	DVBFE_ATSC_MOD_QAM_64,
-	DVBFE_ATSC_MOD_QAM_256,
-	DVBFE_ATSC_MOD_VSB_8,
-	DVBFE_ATSC_MOD_VSB_16,
-	DVBFE_ATSC_MOD_AUTO
-} dvbfe_atsc_mod_t;
-
 typedef enum dvbfe_dvbt_transmit_mode {
 	DVBFE_DVBT_TRANSMISSION_MODE_2K,
 	DVBFE_DVBT_TRANSMISSION_MODE_8K,
@@ -150,9 +141,6 @@
 			dvbfe_dvbt_hierarchy_t		hierarchy_information;
 		} dvbt;
 
-		struct {
-			dvbfe_atsc_mod_t		modulation;
-		} atsc;
 	} u;
 };
 
diff -ur kaffeine-0.8.4.orig/kaffeine/src/input/dvb/scandialog.cpp kaffeine-0.8.4/kaffeine/src/input/dvb/scandialog.cpp
--- kaffeine-0.8.4.orig/kaffeine/src/input/dvb/scandialog.cpp	2007-04-13 16:54:37.000000000 +0200
+++ kaffeine-0.8.4/kaffeine/src/input/dvb/scandialog.cpp	2007-04-13 22:17:42.554539309 +0200
@@ -605,7 +605,6 @@
 		case FE_QPSK : s += "dvb-s/"; break;
 		case FE_QAM : s += "dvb-c/"; break;
 		case FE_OFDM : s += "dvb-t/"; break;
-		case FE_ATSC : return false;
 	}
 	s += searchComb->currentText();
 	QFile f( s );
